W3builders
AOP API

AOP API/Recurring Templates

Create Recurring Template

POST/finance/recurring
JWT bearer

Create a recurring template.

Endpoint

POSThttps://api.w3builders.com/v1/finance/recurring

Request body

  • title, type, start_date, amount (all required, amount > 0)
  • frequency: weekly | monthly | quarterly | annually (default monthly)
  • end_date, currency (default INR), client_id, client_name, client_email
  • document_type (default invoice), gst_enabled, gst_rate, items[], category, vendor, payment_method (default bank)

Response parameters

FieldType
successvalue
idvalue
Create Recurring Template
curl -X POST https://api.w3builders.com/v1/finance/recurring \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "Monthly retainer — Acme",
"type": "invoice",
"start_date": "2026-08-01",
"amount": 45000,
"frequency": "monthly"
}'
{
"shape": "{ success, id }"
}
Was this page helpful?